Package org.bukkit.material

# Class Bed

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Bed

All Implemented Interfaces:
  `Cloneable`, `Directional`

@Deprecated public class Bed extends MaterialData implements Directional
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents a bed.

## Constructor Summary

Constructors
Constructor
Description
`Bed()`
Deprecated.
Default constructor for a bed.
`Bed(BlockFace direction)`
Deprecated.
Instantiate a bed facing in a particular direction.
`Bed(Material type)`
Deprecated.
`Bed(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Bed`
`clone()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Get the direction that this bed's head is facing toward
`boolean`
`isHeadOfBed()`
Deprecated.
Determine if this block represents the head of the bed
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Set which direction the head of the bed is facing.
`void`
`setHeadOfBed(boolean isHeadOfBed)`
Deprecated.
Configure this to be either the head or the foot of the bed
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Bed

public Bed()
Deprecated.
Default constructor for a bed.

### Bed

public Bed(BlockFace direction)
Deprecated.
Instantiate a bed facing in a particular direction.

Parameters:
  `direction` - the direction the bed's head is facing

### Bed

public Bed(Material type)
Deprecated.

### Bed

@Deprecated public Bed(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### isHeadOfBed

public boolean isHeadOfBed()
Deprecated.
Determine if this block represents the head of the bed

Returns:
  true if this is the head of the bed, false if it is the foot

### setHeadOfBed

public void setHeadOfBed(boolean isHeadOfBed)
Deprecated.
Configure this to be either the head or the foot of the bed

Parameters:
  `isHeadOfBed` - True to make it the head.

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Set which direction the head of the bed is facing. Note that this will only affect one of the two blocks the bed is made of.

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### getFacing

public BlockFace getFacing()
Deprecated.
Get the direction that this bed's head is facing toward

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction the head of the bed is facing

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Bed clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`